Packages - Freedom Issue #1290

Lots of apps are unusable without qt5-webengine
2017-04-16 06:11 PM - felicien

Status: duplicate % Done: 0%
Priority: broken

Assignee:

Category:

Description

Hi everybody,

since kdepim-runtime is built without nonfree gt5-webengine, every KDE application needing libQt5WebEngine* won't work anymore.
For example, Kaddressbook, Korganizer, Kontact and Kmail all return the following error:

error while loading shared libraries: libQt5WebEngineWidgets.s0.5: cannot open shared object file: No such file or directory

These packages (I didn't identify all of them) should be removed from repositories, by the time we find a replacement for

qt5-webengine, shouldn't they ?
Thanks in advance,

Félicien Pillot <felicien@gnu.org>

Related issues:

Related to Packages - Freedom Issue #1167: [chromium][electron][gt5-webengine... confirmed
Related to Packages - Freedom Issue #2012: KDE depends on Qt5-Webengine (Duh...) fixed
History

#1 - 2017-08-17 10:54 PM - isacdaavid

- Related to Freedom Issue #1167: [chromium][electron][qt5-webengine][qt6-webengine] QTWebgine/Electron embeds "entire Chromium platform"
added

#2 - 2017-08-17 11:55 PM - Megver83

| can confirm this, | think maybe we (or someone else) could fork some of these apps to make them work without qt5-webengine. Or better would be

to fork gt5-webengine itself...

#3 - 2019-02-11 12:57 AM - bill-auger
- Related to Freedom Issue #2012: KDE depends on Qt5-Webengine (Duh...) added

#4 - 2019-02-11 12:59 AM - bill-auger

- Status changed from open to not-a-bug

refer to #2012 - which has a more complete list of KDE programs

#5 - 2019-02-11 01:04 AM - bill-auger

- Status changed from not-a-bug to duplicate
